Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.plugins.quality
[Groovy] Class JDependPlugin

    java.lang.Object
      org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin
          org.gradle.api.plugins.quality.JDependPlugin

    class JDependPlugin
    extends AbstractCodeQualityPlugin

A Plugin that generates design quality metrics by scanning your source packages. This is done using the JDepend tool.

This plugin will automatically generate a task for each Java source set.

See JDepend for more information.

See Also:
  JDependExtension
  JDepend

Method Summary
`protected void` | `configureForSourceSet(SourceSet sourceSet, JDepend task)`
`protected void` | `configureTaskDefaults(JDepend task, String baseName)`
`protected CodeQualityExtension` | `createExtension()`
`protected Class` | `getTaskType()`
`protected String` | `getToolName()`

Method Detail

### configureForSourceSet

    @Override
    protected void configureForSourceSet(SourceSet sourceSet, JDepend task)

### configureTaskDefaults

    @Override
    protected void configureTaskDefaults(JDepend task, String baseName)

### createExtension

    @Override
    protected CodeQualityExtension createExtension()

### getTaskType

    @Override
    protected Class getTaskType()

### getToolName

    @Override
    protected String getToolName()

Gradle API 1.10